from abc import ABC, abstractmethod
from typing import Optional

from py_to_uxf_core.model.python_class_attribute import PythonClassAttribute


class AttributeScannerABC(ABC):

    @abstractmethod
    def __init__(self): pass

    @abstractmethod
    def scan_line_for_attribute(self, line: str) -> Optional[PythonClassAttribute]: pass
