from abc import ABC, abstractmethod
from typing import Optional

from py_to_uxf_core.model.python_class import PythonClass


class ClassScannerABC(ABC):

    @abstractmethod
    def __init__(self): pass

    @abstractmethod
    def scan_line_for_classes(self, line: str) -> Optional[PythonClass]: pass
