class Position:

    def __init__(self, x: int, y: int):
        self._x = x
        self._y = y

    @property
    def x(self) -> int:
        return self._x

    @x.setter
    def x(self, value: int):
        self._x = value

    @property
    def y(self) -> int:
        return self._y

    @y.setter
    def y(self, value: int):
        self._y = value

    def __str__(self):
        return f'<{type(self).__name__} x:{self._x}, y:{self._y}>'

    def __repr__(self):
        return f'<{type(self).__name__} x:{self._x}, y:{self._y}>'
